<template>
  <!-- MyStation 'AppContainer' global component -->
  <AppContainer
    :app="GLOBALS.__APP_NAME__"
    :tabs="tabs"
    :defaultTab=0
  >
    <!-- Empty content -->
  </AppContainer>
</template>

<script>
import { BaseComponent } from '@/utils/'

import MyAppTab from '@/components/tabs/MyApp'
import OptionsTab from '@/components/tabs/Options'

import { init } from '@/init/'

export default {
  extends: BaseComponent,
  data () {
    return {
      tabs: [
        {
          title: __MYSTATION__.$h.capitalize(__MYSTATION__.$t(`${__T_PREFIX__}.tabs.myapp`)),
          component: MyAppTab,
          click: function () {
            console.log('MyApp tab clicked!') // eslint-disable-line
          }
        },
        {
          title: __MYSTATION__.$h.capitalize(__MYSTATION__.$t(`${__T_PREFIX__}.tabs.options`)),
          component: OptionsTab,
          click: function () {
            console.log('Options tab clicked!') // eslint-disable-line
          }
        }
      ]
    }
  },
  state: {
    MyAppModule: [
      'todos',
      'todosLoaded'
    ]
  },
  actions: {
    MyAppModule: [
      'initTodos'
    ]
  },
  async mounted () {
    // Init call in main app component 'mounted' hook
    await init()
    // Do other stuff in mounted hook
    // ...
    if (!this.todosLoaded) {
      this.initTodos()
    }
  }
}
</script>
